#ifndef LOGGERTESTER_H_
#define LOGGERTESTER_H_

#include <stdio.h>
#include "BaseTest.h"

class LoggerTester : public BaseTest
{
public:
	LoggerTester();
	~LoggerTester();

	void executeTests()
	{
		testMessages();
	}
	
	void testMessages();
	void testHeaderWithoutTime();
	void testHeaderWithTime();
	void testHeaderWithTimeCopy();
	void testMethodsLoads();
	
	
	void testHeader();
	
	
};

#endif /*LOGGERTESTER_H_*/
